using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class CarEmployeeUpdate : DataAccessBase
	{
		public CarEmployeeUpdate()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[CarEmployeeUpdate]");
			ConfigParameter();
		}

		private SqlParameter paramID;
		public System.Int32 ID
		{
			get
			{
				return (System.Int32)paramID.Value;
			}
			set
			{
				paramID.Value = value;
			}
		}

		private SqlParameter paramIDCard;
		public System.String IDCard
		{
			get
			{
				return (System.String)paramIDCard.Value;
			}
			set
			{
				paramIDCard.Value = value;
			}
		}

		private SqlParameter paramName;
		public System.String Name
		{
			get
			{
				return (System.String)paramName.Value;
			}
			set
			{
				paramName.Value = value;
			}
		}

		private SqlParameter paramSex;
		public System.Boolean Sex
		{
			get
			{
				return (System.Boolean)paramSex.Value;
			}
			set
			{
				paramSex.Value = value;
			}
		}

		private SqlParameter paramPhone;
		public System.String Phone
		{
			get
			{
				return (System.String)paramPhone.Value;
			}
			set
			{
				paramPhone.Value = value;
			}
		}

		private SqlParameter paramLandscape;
		public System.String Landscape
		{
			get
			{
				return (System.String)paramLandscape.Value;
			}
			set
			{
				paramLandscape.Value = value;
			}
		}

		private SqlParameter paramAddress;
		public System.String Address
		{
			get
			{
				return (System.String)paramAddress.Value;
			}
			set
			{
				paramAddress.Value = value;
			}
		}

		private SqlParameter paramDriverLicenseNO;
		public System.String DriverLicenseNO
		{
			get
			{
				return (System.String)paramDriverLicenseNO.Value;
			}
			set
			{
				paramDriverLicenseNO.Value = value;
			}
		}

		private SqlParameter paramDriverLicenseNoVehicleType;
		public System.String DriverLicenseNoVehicleType
		{
			get
			{
				return (System.String)paramDriverLicenseNoVehicleType.Value;
			}
			set
			{
				paramDriverLicenseNoVehicleType.Value = value;
			}
		}

		private SqlParameter paramDriverLicenseNoIssueDate;
		public System.DateTime DriverLicenseNoIssueDate
		{
			get
			{
				return (System.DateTime)paramDriverLicenseNoIssueDate.Value;
			}
			set
			{
				paramDriverLicenseNoIssueDate.Value = value;
			}
		}

		private SqlParameter paramBirthDay;
		public System.DateTime BirthDay
		{
			get
			{
				return (System.DateTime)paramBirthDay.Value;
			}
			set
			{
				paramBirthDay.Value = value;
			}
		}

		private SqlParameter paramPhoto;
		public System.Byte[] Photo
		{
			get
			{
				return (System.Byte[])paramPhoto.Value;
			}
			set
			{
				paramPhoto.Value = value;
			}
		}

		private SqlParameter paramServiceUnit;
		public System.String ServiceUnit
		{
			get
			{
				return (System.String)paramServiceUnit.Value;
			}
			set
			{
				paramServiceUnit.Value = value;
			}
		}

		private SqlParameter paramEducation;
		public System.String Education
		{
			get
			{
				return (System.String)paramEducation.Value;
			}
			set
			{
				paramEducation.Value = value;
			}
		}

		private SqlParameter paramServiceCardNO;
		public System.String ServiceCardNO
		{
			get
			{
				return (System.String)paramServiceCardNO.Value;
			}
			set
			{
				paramServiceCardNO.Value = value;
			}
		}

		private SqlParameter paramServiceCardNOFromDate;
		public System.DateTime ServiceCardNOFromDate
		{
			get
			{
				return (System.DateTime)paramServiceCardNOFromDate.Value;
			}
			set
			{
				paramServiceCardNOFromDate.Value = value;
			}
		}

		private SqlParameter paramServiceCardNOToDate;
		public System.DateTime ServiceCardNOToDate
		{
			get
			{
				return (System.DateTime)paramServiceCardNOToDate.Value;
			}
			set
			{
				paramServiceCardNOToDate.Value = value;
			}
		}

		private SqlParameter paramCarID;
		public System.Int32 CarID
		{
			get
			{
				return (System.Int32)paramCarID.Value;
			}
			set
			{
				paramCarID.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.String CreateUser
		{
			get
			{
				return (System.String)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return (System.String)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return (System.DateTime)paramUpdateDateTime.Value;
			}
			set
			{
				paramUpdateDateTime.Value = value;
			}
		}

		private SqlParameter paramFlag;
		public System.Int16 Flag
		{
			get
			{
				return (System.Int16)paramFlag.Value;
			}
			set
			{
				paramFlag.Value = value;
			}
		}

		private SqlParameter paramFlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return (System.DateTime)paramFlagDateTime.Value;
			}
			set
			{
				paramFlagDateTime.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramID = new SqlParameter();
			paramID.ParameterName = "@ID";
			paramID.SqlDbType = SqlDbType.Int;
			paramID.Precision = 10;
			paramID.Scale = 0;
			paramID.Direction = ParameterDirection.Input;
			paramID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramID);
			//--------------------------------------------------------
			paramIDCard = new SqlParameter();
			paramIDCard.ParameterName = "@IDCard";
			paramIDCard.SqlDbType = SqlDbType.VarChar;
			paramIDCard.Size = 50;
			paramIDCard.Direction = ParameterDirection.Input;
			paramIDCard.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramIDCard);
			//--------------------------------------------------------
			paramName = new SqlParameter();
			paramName.ParameterName = "@Name";
			paramName.SqlDbType = SqlDbType.VarChar;
			paramName.Size = 50;
			paramName.Direction = ParameterDirection.Input;
			paramName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramName);
			//--------------------------------------------------------
			paramSex = new SqlParameter();
			paramSex.ParameterName = "@Sex";
			paramSex.SqlDbType = SqlDbType.Bit;
			paramSex.Size = 1;
			paramSex.Direction = ParameterDirection.Input;
			paramSex.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSex);
			//--------------------------------------------------------
			paramPhone = new SqlParameter();
			paramPhone.ParameterName = "@Phone";
			paramPhone.SqlDbType = SqlDbType.VarChar;
			paramPhone.Size = 50;
			paramPhone.Direction = ParameterDirection.Input;
			paramPhone.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramPhone);
			//--------------------------------------------------------
			paramLandscape = new SqlParameter();
			paramLandscape.ParameterName = "@Landscape";
			paramLandscape.SqlDbType = SqlDbType.VarChar;
			paramLandscape.Size = 50;
			paramLandscape.Direction = ParameterDirection.Input;
			paramLandscape.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLandscape);
			//--------------------------------------------------------
			paramAddress = new SqlParameter();
			paramAddress.ParameterName = "@Address";
			paramAddress.SqlDbType = SqlDbType.VarChar;
			paramAddress.Size = 50;
			paramAddress.Direction = ParameterDirection.Input;
			paramAddress.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAddress);
			//--------------------------------------------------------
			paramDriverLicenseNO = new SqlParameter();
			paramDriverLicenseNO.ParameterName = "@DriverLicenseNO";
			paramDriverLicenseNO.SqlDbType = SqlDbType.VarChar;
			paramDriverLicenseNO.Size = 50;
			paramDriverLicenseNO.Direction = ParameterDirection.Input;
			paramDriverLicenseNO.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramDriverLicenseNO);
			//--------------------------------------------------------
			paramDriverLicenseNoVehicleType = new SqlParameter();
			paramDriverLicenseNoVehicleType.ParameterName = "@DriverLicenseNoVehicleType";
			paramDriverLicenseNoVehicleType.SqlDbType = SqlDbType.VarChar;
			paramDriverLicenseNoVehicleType.Size = 50;
			paramDriverLicenseNoVehicleType.Direction = ParameterDirection.Input;
			paramDriverLicenseNoVehicleType.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramDriverLicenseNoVehicleType);
			//--------------------------------------------------------
			paramDriverLicenseNoIssueDate = new SqlParameter();
			paramDriverLicenseNoIssueDate.ParameterName = "@DriverLicenseNoIssueDate";
			paramDriverLicenseNoIssueDate.SqlDbType = SqlDbType.DateTime;
			paramDriverLicenseNoIssueDate.Size = 16;
			paramDriverLicenseNoIssueDate.Scale = 3;
			paramDriverLicenseNoIssueDate.Direction = ParameterDirection.Input;
			paramDriverLicenseNoIssueDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramDriverLicenseNoIssueDate);
			//--------------------------------------------------------
			paramBirthDay = new SqlParameter();
			paramBirthDay.ParameterName = "@BirthDay";
			paramBirthDay.SqlDbType = SqlDbType.DateTime;
			paramBirthDay.Size = 16;
			paramBirthDay.Scale = 3;
			paramBirthDay.Direction = ParameterDirection.Input;
			paramBirthDay.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBirthDay);
			//--------------------------------------------------------
			paramPhoto = new SqlParameter();
			paramPhoto.ParameterName = "@Photo";
			paramPhoto.SqlDbType = SqlDbType.Image;
			paramPhoto.Size = 2147483647;
			paramPhoto.Direction = ParameterDirection.Input;
			paramPhoto.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramPhoto);
			//--------------------------------------------------------
			paramServiceUnit = new SqlParameter();
			paramServiceUnit.ParameterName = "@ServiceUnit";
			paramServiceUnit.SqlDbType = SqlDbType.VarChar;
			paramServiceUnit.Size = 50;
			paramServiceUnit.Direction = ParameterDirection.Input;
			paramServiceUnit.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramServiceUnit);
			//--------------------------------------------------------
			paramEducation = new SqlParameter();
			paramEducation.ParameterName = "@Education";
			paramEducation.SqlDbType = SqlDbType.VarChar;
			paramEducation.Size = 50;
			paramEducation.Direction = ParameterDirection.Input;
			paramEducation.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEducation);
			//--------------------------------------------------------
			paramServiceCardNO = new SqlParameter();
			paramServiceCardNO.ParameterName = "@ServiceCardNO";
			paramServiceCardNO.SqlDbType = SqlDbType.VarChar;
			paramServiceCardNO.Size = 50;
			paramServiceCardNO.Direction = ParameterDirection.Input;
			paramServiceCardNO.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramServiceCardNO);
			//--------------------------------------------------------
			paramServiceCardNOFromDate = new SqlParameter();
			paramServiceCardNOFromDate.ParameterName = "@ServiceCardNOFromDate";
			paramServiceCardNOFromDate.SqlDbType = SqlDbType.DateTime;
			paramServiceCardNOFromDate.Size = 16;
			paramServiceCardNOFromDate.Scale = 3;
			paramServiceCardNOFromDate.Direction = ParameterDirection.Input;
			paramServiceCardNOFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramServiceCardNOFromDate);
			//--------------------------------------------------------
			paramServiceCardNOToDate = new SqlParameter();
			paramServiceCardNOToDate.ParameterName = "@ServiceCardNOToDate";
			paramServiceCardNOToDate.SqlDbType = SqlDbType.DateTime;
			paramServiceCardNOToDate.Size = 16;
			paramServiceCardNOToDate.Scale = 3;
			paramServiceCardNOToDate.Direction = ParameterDirection.Input;
			paramServiceCardNOToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramServiceCardNOToDate);
			//--------------------------------------------------------
			paramCarID = new SqlParameter();
			paramCarID.ParameterName = "@CarID";
			paramCarID.SqlDbType = SqlDbType.Int;
			paramCarID.Precision = 10;
			paramCarID.Scale = 0;
			paramCarID.Direction = ParameterDirection.Input;
			paramCarID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarID);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.VarChar;
			paramCreateUser.Size = 50;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.VarChar;
			paramUpdateUser.Size = 50;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
			//--------------------------------------------------------
			paramUpdateDateTime = new SqlParameter();
			paramUpdateDateTime.ParameterName = "@UpdateDateTime";
			paramUpdateDateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateDateTime.Size = 16;
			paramUpdateDateTime.Scale = 3;
			paramUpdateDateTime.Direction = ParameterDirection.Input;
			paramUpdateDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateDateTime);
			//--------------------------------------------------------
			paramFlag = new SqlParameter();
			paramFlag.ParameterName = "@Flag";
			paramFlag.SqlDbType = SqlDbType.SmallInt;
			paramFlag.Precision = 5;
			paramFlag.Scale = 0;
			paramFlag.Direction = ParameterDirection.Input;
			paramFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlag);
			//--------------------------------------------------------
			paramFlagDateTime = new SqlParameter();
			paramFlagDateTime.ParameterName = "@FlagDateTime";
			paramFlagDateTime.SqlDbType = SqlDbType.DateTime;
			paramFlagDateTime.Size = 16;
			paramFlagDateTime.Scale = 3;
			paramFlagDateTime.Direction = ParameterDirection.Input;
			paramFlagDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlagDateTime);
		}
	}
}